<%@ Page Language="C#" Inherits="ConsultasWeb.Default" %>
<%@ Import Namespace="Stratos.ModeloDto" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head runat="server">
	<title>Mosaicos Pividori S.H. - Consulta de Precios</title>
	<link rel="stylesheet" type="text/css" href="./bin/css/estilo.css" />
</head>
<body>
<form id="form1" runat="server">
	<div class="header">
		<img src="./bin/images/logo.jpg" alt="Mosaicos Pividori" />
		<h1>Consulta de precios on-line</h1>
	</div>
	<div class="cuerpo">
		<div class="">
			<input type="text" name="bogusField" style="display: none;" />
			<label>Ingrese todo o parte de la descripcion:</label>
			<asp:TextBox id="txtBusqueda" runat="server" CssClass="texto-busqueda"  />
			<asp:Button id="btnBuscar" runat="server" Text="Buscar" OnClick="btnBuscar_Click" />
		</div>
		<div class="mt20">
			<asp:Repeater id="rptListaProductos" runat="server" >
				<HeaderTemplate>
					<table width="98%" class="tabla-productos">
						<tbody>
							<tr>
								<td class="thead">Codigo</td>
								<td class="thead">Descripcion</td>
								<td class="thead">Precio (sin IVA)</td>
								<td class="thead">Precio (con IVA)</td>
							</tr>
						</tbody>
				</HeaderTemplate>
				<ItemTemplate>
							<tr>
								<td class="fila"><asp:Literal id="litCodigo" runat="server" Text='<%# ((ProductoDto)Container.DataItem).codigo %>' /></td>
								<td class="fila"><asp:Literal id="litDescripcion" runat="server" Text='<%# ((ProductoDto)Container.DataItem).descripcion %>' /></td>
								<td class="precio fila"><asp:Literal id="litPrecioSinIva" runat="server" Text='<%# ((ProductoDto)Container.DataItem).importeSinIva.ToString("F2") %>' /></td>
								<td class="precio fila"><asp:Literal id="litPrecioConIva" runat="server" Text='<%# ((ProductoDto)Container.DataItem).importeVenta.ToString("F2") %>' /></td>
							</tr>
				</ItemTemplate>
				<FooterTemplate>
					</table>
				</FooterTemplate>
			</asp:Repeater>
		</div>
		<asp:Label id="lblMensaje" runat="server" ForeColor="Red"></asp:Label>
	</div>
</form>
</body>
</html>