#ifndef _ITEMPRODUCTO
#define _ITEMPRODUCTO

#include <Productos/UnidadProducto.ice>
#include <Documentos/ItemGenericoDto.ice>

module Stratos {
	module ModeloDto {
		
		class ItemProductoDto extends ItemGenericoDto {
			string descripcion;
			
			double cantidad;
			double porcentajeBonificacion;
			double precioUnitario;
			double importe;
			
			/*
			 * Datos del producto relacionado.
			 */
			long productoId;
			string productoCodigo;
			bool productoAbstracto;
			UnidadProducto productoUnidad;
			long productoRubroId;
			
			/*
			 * La descripción sólo se copia para los productos abstractos.
			 */
			string productoDescripcion;
			
			string productoNotas;
			
			double productoImporteSinIva;
			double productoImporteVenta;
			double productoPrecioCosto;
		};
	
	};
};

#endif