#ifndef _PRODUCTO
#define _PRODUCTO

#include <Productos/UnidadProducto.ice>
#include <Productos/RubroDto.ice>

module Stratos {
	module ModeloDto {
	
		class ProductoDto {
			long id;
			string codigo;
			string descripcion;
			bool productoAbstracto;
			
			UnidadProducto unidad;
			
			RubroDto rubro;
			RubroDto subRubro;
			
			double precioCosto;
			double importeSinIva;
			double importeVenta;
			double porcentajeIva;
			
			bool activarGestionStock;

			bool eliminado;
			
			int version;
			
			string notas;
		};
		
	};
};

#endif