// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections.Generic;
using System.Configuration;

using Mono.Addins;
using log4net;

namespace StratosClient.Core.Gui.Configuracion
{
	public class StratosClientConfig
	{
		private static StratosClientGestorConfiguracion gestorConfiguracion;
		
		public static void Inicializar()
		{
			gestorConfiguracion = new StratosClientGestorConfiguracion();
			gestorConfiguracion.Inicializar();
		}
		
		public static StratosClientConfigurationSection ConfigurationSection
		{
			get { return gestorConfiguracion.StratosConfigurationSection; }
		}
		
		public static ConfigurationElement GetConfigurationElement(string elementName)
		{
			StratosClientConfigurationSection instancia = StratosClientConfig.ConfigurationSection;
			
			return (ConfigurationElement) instancia.GetConfigurationElement(elementName);
		}
		
		public static void Save()
		{
			gestorConfiguracion.Save();
		}
	}
}
