// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
//
// This file is part of Stratos.
//
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;
using Mono.Addins;

namespace StratosClient.Core.Gui
{
	public class SubmenuNode : MenuBaseNode
	{
		public override Gtk.Bin GetWidget ()
		{
			// Creo el MenuItem y un submenu
			Gtk.MenuItem it = new Gtk.MenuItem (etiqueta);
			Gtk.Menu submenu = new Gtk.Menu ();
			
			// Asigno todos los nodos hijos como submenu
			foreach (WidgetNode node in this.ChildNodes)
				submenu.Insert (node.GetWidget(), -1);
			
			it.Submenu = submenu;
			
			return it;
		}
	}
}
