// Copyright (C) 2009, 2011 Milton Pividori, César Sandrigo
// 
// This file is part of Stratos.
// 
// Stratos is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Stratos is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Stratos.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections;
using System.Collections.Generic;

using Stratos.ModeloDto;

namespace StratosClient.Core.Gui
{
	public class ProductoWrapper
	{
		private ProductoDto producto;
		
		public ProductoWrapper (ProductoDto producto)
		{
			this.producto = producto;
		}
		
		public string Codigo {
			get { return this.producto.codigo; }
		}
		
		public string Descripcion {
			get { return this.producto.descripcion; }
		}
		
		public double ImporteSinIva {
			get { return this.producto.importeSinIva; }
		}
		
		public double ImporteVenta {
			get { return this.producto.importeVenta; }
		}
	}
}
