// **********************************************************************
//
// Copyright (c) 2003-2009 ZeroC, Inc. All rights reserved.
//
// This copy of Ice is licensed to you under the terms described in the
// ICE_LICENSE file included in this distribution.
//
// **********************************************************************

// Ice version 3.3.1
// Generated from file `DocumentoItemsGenericosDto.ice'

#if __MonoCS__

using _System = System;
using _Microsoft = Microsoft;
#else

using _System = global::System;
using _Microsoft = global::Microsoft;
#endif

namespace Stratos
{
    namespace ModeloDto
    {
        public class DocumentoItemsGenericosDto : Stratos.ModeloDto.DocumentoGenericoDto
        {
            #region Slice data members

            public _System.Collections.Generic.List<Stratos.ModeloDto.ItemGenericoDto> itemsGenericos;

            #endregion

            #region Constructors

            public DocumentoItemsGenericosDto() : base()
            {
            }

            public DocumentoItemsGenericosDto(long id, int version, long fechaTicks, string observaciones, _System.Collections.Generic.List<Stratos.ModeloDto.ItemGenericoDto> itemsGenericos) : base(id, version, fechaTicks, observaciones)
            {
                this.itemsGenericos = itemsGenericos;
            }

            #endregion

            #region Slice type-related members

            public static new string[] ids__ = 
            {
                "::Ice::Object",
                "::Stratos::ModeloDto::DocumentoGenericoDto",
                "::Stratos::ModeloDto::DocumentoItemsGenericosDto"
            };

            public override bool ice_isA(string s)
            {
                return _System.Array.BinarySearch(ids__, s, IceUtilInternal.StringUtil.OrdinalStringComparer) >= 0;
            }

            public override bool ice_isA(string s, Ice.Current current__)
            {
                return _System.Array.BinarySearch(ids__, s, IceUtilInternal.StringUtil.OrdinalStringComparer) >= 0;
            }

            public override string[] ice_ids()
            {
                return ids__;
            }

            public override string[] ice_ids(Ice.Current current__)
            {
                return ids__;
            }

            public override string ice_id()
            {
                return ids__[2];
            }

            public override string ice_id(Ice.Current current__)
            {
                return ids__[2];
            }

            public static new string ice_staticId()
            {
                return ids__[2];
            }

            #endregion

            #region Operation dispatch

            #endregion

            #region Marshaling support

            public override void write__(IceInternal.BasicStream os__)
            {
                os__.writeTypeId(ice_staticId());
                os__.startWriteSlice();
                if(itemsGenericos == null)
                {
                    os__.writeSize(0);
                }
                else
                {
                    os__.writeSize(itemsGenericos.Count);
                    for(int ix__ = 0; ix__ < itemsGenericos.Count; ++ix__)
                    {
                        os__.writeObject(itemsGenericos[ix__]);
                    }
                }
                os__.endWriteSlice();
                base.write__(os__);
            }

            public override void read__(IceInternal.BasicStream is__, bool rid__)
            {
                if(rid__)
                {
                    /* string myId = */ is__.readTypeId();
                }
                is__.startReadSlice();
                {
                    int szx__ = is__.readSize();
                    is__.startSeq(szx__, 4);
                    itemsGenericos = new _System.Collections.Generic.List<Stratos.ModeloDto.ItemGenericoDto>(szx__);
                    for(int ix__ = 0; ix__ < szx__; ++ix__)
                    {
                        IceInternal.ListPatcher<Stratos.ModeloDto.ItemGenericoDto> spx = new IceInternal.ListPatcher<Stratos.ModeloDto.ItemGenericoDto>("::Stratos::ModeloDto::ItemGenericoDto", itemsGenericos, ix__);
                        is__.readObject(spx);
                        is__.checkSeq();
                        is__.endElement();
                    }
                    is__.endSeq(szx__);
                }
                is__.endReadSlice();
                base.read__(is__, true);
            }

            public override void write__(Ice.OutputStream outS__)
            {
                Ice.MarshalException ex = new Ice.MarshalException();
                ex.reason = "type Stratos::ModeloDto::DocumentoItemsGenericosDto was not generated with stream support";
                throw ex;
            }

            public override void read__(Ice.InputStream inS__, bool rid__)
            {
                Ice.MarshalException ex = new Ice.MarshalException();
                ex.reason = "type Stratos::ModeloDto::DocumentoItemsGenericosDto was not generated with stream support";
                throw ex;
            }

            #endregion
        }
    }
}

namespace Stratos
{
    namespace ModeloDto
    {
        public interface DocumentoItemsGenericosDtoPrx : Stratos.ModeloDto.DocumentoGenericoDtoPrx
        {
        }
    }
}

namespace Stratos
{
    namespace ModeloDto
    {
        public sealed class ItemsSeqHelper
        {
            public static void write(IceInternal.BasicStream os__, _System.Collections.Generic.List<Stratos.ModeloDto.ItemGenericoDto> v__)
            {
                if(v__ == null)
                {
                    os__.writeSize(0);
                }
                else
                {
                    os__.writeSize(v__.Count);
                    for(int ix__ = 0; ix__ < v__.Count; ++ix__)
                    {
                        os__.writeObject(v__[ix__]);
                    }
                }
            }

            public static _System.Collections.Generic.List<Stratos.ModeloDto.ItemGenericoDto> read(IceInternal.BasicStream is__)
            {
                _System.Collections.Generic.List<Stratos.ModeloDto.ItemGenericoDto> v__;
                {
                    int szx__ = is__.readSize();
                    is__.startSeq(szx__, 4);
                    v__ = new _System.Collections.Generic.List<Stratos.ModeloDto.ItemGenericoDto>(szx__);
                    for(int ix__ = 0; ix__ < szx__; ++ix__)
                    {
                        IceInternal.ListPatcher<Stratos.ModeloDto.ItemGenericoDto> spx = new IceInternal.ListPatcher<Stratos.ModeloDto.ItemGenericoDto>("::Stratos::ModeloDto::ItemGenericoDto", v__, ix__);
                        is__.readObject(spx);
                        is__.checkSeq();
                        is__.endElement();
                    }
                    is__.endSeq(szx__);
                }
                return v__;
            }
        }

        public sealed class DocumentoItemsGenericosDtoPrxHelper : Ice.ObjectPrxHelperBase, DocumentoItemsGenericosDtoPrx
        {
            #region Checked and unchecked cast operations

            public static DocumentoItemsGenericosDtoPrx checkedCast(Ice.ObjectPrx b)
            {
                if(b == null)
                {
                    return null;
                }
                DocumentoItemsGenericosDtoPrx r = b as DocumentoItemsGenericosDtoPrx;
                if((r == null) && b.ice_isA("::Stratos::ModeloDto::DocumentoItemsGenericosDto"))
                {
                    DocumentoItemsGenericosDtoPrxHelper h = new DocumentoItemsGenericosDtoPrxHelper();
                    h.copyFrom__(b);
                    r = h;
                }
                return r;
            }

            public static DocumentoItemsGenericosDtoPrx checkedCast(Ice.ObjectPrx b, _System.Collections.Generic.Dictionary<string, string> ctx)
            {
                if(b == null)
                {
                    return null;
                }
                DocumentoItemsGenericosDtoPrx r = b as DocumentoItemsGenericosDtoPrx;
                if((r == null) && b.ice_isA("::Stratos::ModeloDto::DocumentoItemsGenericosDto", ctx))
                {
                    DocumentoItemsGenericosDtoPrxHelper h = new DocumentoItemsGenericosDtoPrxHelper();
                    h.copyFrom__(b);
                    r = h;
                }
                return r;
            }

            public static DocumentoItemsGenericosDtoPrx checkedCast(Ice.ObjectPrx b, string f)
            {
                if(b == null)
                {
                    return null;
                }
                Ice.ObjectPrx bb = b.ice_facet(f);
                try
                {
                    if(bb.ice_isA("::Stratos::ModeloDto::DocumentoItemsGenericosDto"))
                    {
                        DocumentoItemsGenericosDtoPrxHelper h = new DocumentoItemsGenericosDtoPrxHelper();
                        h.copyFrom__(bb);
                        return h;
                    }
                }
                catch(Ice.FacetNotExistException)
                {
                }
                return null;
            }

            public static DocumentoItemsGenericosDtoPrx checkedCast(Ice.ObjectPrx b, string f, _System.Collections.Generic.Dictionary<string, string> ctx)
            {
                if(b == null)
                {
                    return null;
                }
                Ice.ObjectPrx bb = b.ice_facet(f);
                try
                {
                    if(bb.ice_isA("::Stratos::ModeloDto::DocumentoItemsGenericosDto", ctx))
                    {
                        DocumentoItemsGenericosDtoPrxHelper h = new DocumentoItemsGenericosDtoPrxHelper();
                        h.copyFrom__(bb);
                        return h;
                    }
                }
                catch(Ice.FacetNotExistException)
                {
                }
                return null;
            }

            public static DocumentoItemsGenericosDtoPrx uncheckedCast(Ice.ObjectPrx b)
            {
                if(b == null)
                {
                    return null;
                }
                DocumentoItemsGenericosDtoPrx r = b as DocumentoItemsGenericosDtoPrx;
                if(r == null)
                {
                    DocumentoItemsGenericosDtoPrxHelper h = new DocumentoItemsGenericosDtoPrxHelper();
                    h.copyFrom__(b);
                    r = h;
                }
                return r;
            }

            public static DocumentoItemsGenericosDtoPrx uncheckedCast(Ice.ObjectPrx b, string f)
            {
                if(b == null)
                {
                    return null;
                }
                Ice.ObjectPrx bb = b.ice_facet(f);
                DocumentoItemsGenericosDtoPrxHelper h = new DocumentoItemsGenericosDtoPrxHelper();
                h.copyFrom__(bb);
                return h;
            }

            #endregion

            #region Marshaling support

            protected override Ice.ObjectDelM_ createDelegateM__()
            {
                return new DocumentoItemsGenericosDtoDelM_();
            }

            protected override Ice.ObjectDelD_ createDelegateD__()
            {
                return new DocumentoItemsGenericosDtoDelD_();
            }

            public static void write__(IceInternal.BasicStream os__, DocumentoItemsGenericosDtoPrx v__)
            {
                os__.writeProxy(v__);
            }

            public static DocumentoItemsGenericosDtoPrx read__(IceInternal.BasicStream is__)
            {
                Ice.ObjectPrx proxy = is__.readProxy();
                if(proxy != null)
                {
                    DocumentoItemsGenericosDtoPrxHelper result = new DocumentoItemsGenericosDtoPrxHelper();
                    result.copyFrom__(proxy);
                    return result;
                }
                return null;
            }

            #endregion
        }
    }
}

namespace Stratos
{
    namespace ModeloDto
    {
        public interface DocumentoItemsGenericosDtoDel_ : Stratos.ModeloDto.DocumentoGenericoDtoDel_
        {
        }
    }
}

namespace Stratos
{
    namespace ModeloDto
    {
        public sealed class DocumentoItemsGenericosDtoDelM_ : Ice.ObjectDelM_, DocumentoItemsGenericosDtoDel_
        {
        }
    }
}

namespace Stratos
{
    namespace ModeloDto
    {
        public sealed class DocumentoItemsGenericosDtoDelD_ : Ice.ObjectDelD_, DocumentoItemsGenericosDtoDel_
        {
        }
    }
}

namespace Stratos
{
    namespace ModeloDto
    {
    }
}
