#ifndef _CONTROLADOR_COMPRAS
#define _CONTROLADOR_COMPRAS

#include <Controladores/ControladorBase.ice>
#include <Excepciones/StratosException.ice>
#include <Personas/ProveedorDto.ice>
#include <Documentos/Facturas/FacturaCompraDto.ice>

module StratosServer {
	module Controladores {
		
		sequence<long> IdsSeq;
		
		interface ControladorCompras extends ControladorBase {
			
			void EliminarFacturas (IdsSeq ids)
				throws ::Stratos::Common::Excepciones::StratosException;
		};
		
	};
};

#endif