#ifndef _CONTROLADOR_PRESUPUESTOS
#define _CONTROLADOR_PRESUPUESTOS

#include <Controladores/ControladorBase.ice>
#include <Excepciones/StratosException.ice>
#include <Documentos/Presupuestos/PresupuestoDto.ice>

module StratosServer {
	module Controladores {
		
		sequence<::Stratos::ModeloDto::PresupuestoDto> PresupuestoSeq;
		
		interface ControladorPresupuestos extends ControladorBase {
			
			PresupuestoSeq ObtenerTodos()
				throws ::Stratos::Common::Excepciones::StratosException;
			
			void EliminarPresupuesto(::Stratos::ModeloDto::PresupuestoDto presupuesto)
				throws ::Stratos::Common::Excepciones::StratosException;
			
		};
	
	};
};

#endif