#ifndef FACTURA_COMPRA
#define FACTURA_COMPRA

#include <Documentos/DocumentoCompraDto.ice>
#include <Personas/ProveedorDto.ice>
#include <Documentos/Facturas/FacturaTipoCompra.ice>

module Stratos {
	module ModeloDto {
		
		class FacturaCompraDto extends DocumentoCompraDto {
			
			FacturaTipoCompra tipo;
			int codigo;		
			long numero;
			
			long fechaImputacionTicks;
			
			double importeGravado;
			double importeExento;
			
			double importeIva;
			
			double percepcionIB;
			double percepcionIva;
			double impuestoCombustible;
			
			double importeTotal;
			
			bool historica;
		};
	
	};
};

#endif