#ifndef _STRATOSEXCEPTION
#define _STRATOSEXCEPTION

module Stratos {
	module Common {
		module Excepciones {
			
			exception StratosException {
				string mensaje;
			};
			
			exception ConexionException extends StratosException {
			};
			
			exception ImpresionFacturaException extends StratosException {
			};
			
			exception ObjetoInvalidoException extends StratosException {
			};
			
			exception ObjetoInexistenteException extends StratosException {
			};
			
			exception ObjetoVersionIncorrectaException extends ObjetoInexistenteException {
			};
			
			exception ParametrosInvalidosException extends StratosException {	
			};
			
		};
	};
};

#endif