#ifndef _CONTROLADOR_TERMINALES
#define _CONTROLADOR_TERMINALES

#include <DatosTerminal.ice>
#include <Excepciones/StratosException.ice>
#include <Controladores/ControladorBase.ice>

module Stratos {
	module Servicios {
	
		interface ControladorTerminales {
			
			void Conectar (DatosTerminal ter)
				throws ::Stratos::Common::Excepciones::ConexionException;
				
			void Desconectar (DatosTerminal ter)
				throws ::Stratos::Common::Excepciones::ConexionException;
			
			void ActualizarDatosTerminal(DatosTerminal ter)
				throws ::Stratos::Common::Excepciones::ConexionException;
			
			Object* ObtenerProxyControlador(string idControlador)
				throws ::Stratos::Common::Excepciones::StratosException;
			
		};
	
	};
};

#endif