#ifndef _DATOS_TERMINAL
#define _DATOS_TERMINAL

#include<ServicioFacturacion.ice>
#include<Documentos/TipoDocumento.ice>

module Stratos {
	module Servicios {
		
		sequence<::Stratos::ModeloDto::TipoDocumento> TipoDocumentoSeq;
		
		["clr:generic:List"]
		sequence<ServicioFacturacion*> ServicioFacturacionSeq;
		
		struct DatosTerminalImpresora {
			TipoDocumentoSeq tiposDocumento;
			ServicioFacturacionSeq servFacturacion;
		};
		
		struct DatosTerminal {
			string identificador;
			DatosTerminalImpresora datosTermImpresora;
		};
	
	};
};

#endif